Bug 130 - ActiveSync no longer working after 1.8.17 upgrade
Summary: ActiveSync no longer working after 1.8.17 upgrade
Status: RESOLVED FIXED
Alias: None
Product: ZeXtras
Classification: Unclassified
Component: ZxMobile (show other bugs)
Version: 1.8.17
Hardware: -- CentOS 6 - 64bit
: Normal major
Assignee: ZeXtras Bugzilla Admin
QA Contact:
URL:
Depends on:
Blocks:
 
Reported: 2014-08-11 00:50 CEST by Eric Schewe
Modified: 2014-11-05 14:59 CET (History)
1 user (show)

See Also:
Browser: ---
Zimlet Chat version: ---
Zimbra Version: 8.0.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Schewe 2014-08-11 00:50:49 CEST
Just upgraded ZeXtras on my server from 1.8.16 to 1.8.17 and now ActiveSync no longer works for my iOS or Blackberry 10 devices.

I have tried removing/re-adding both accounts I have to both devices (Blackberry Q10, iPad 2) with no luck.

My Blackberry tells me "The settings for your account are incorrect. Change your settings and try again"

My iPad provides even less information about why it can't connect.

I use Apache and mod_proxy to proxy my ActiveSync connections since I only have one IP and a web-server already running. I have bypassed this setup for testing and get the same errors.

Everything worked pre-1.8.17. When EAS14 was still in beta I ran the cli commands to switch the accounts in question over to it. Could that be the issue?


To re-produce
1. Upgrade to ZeXtras 1.8.17
2. Try to add an ActiveSync account to a mobile device


Server information
OS: CentOS 6.5 64-bit
CPU: Intel Xeon E3-1230 V2
RAM: 32GB
Storage: LSI MegaRAID MR9270-8i (2x1TB RAID1, 6x3TB RAID6)

Zimbra version: 8.0.7 64-bit

ZeXtras info:
zxsuite core getVersion

        zextras_version                                     1.8.17
        zextras_target                                      8.0.7
        zextras_commit                                      75c2d883fb87d042042446f1895402186b2d4c3e
        zextras_lib_version                                 1.0.0
        zextras_lib_commit                                  85a77116da6aeb0d5362eec2cb7d8d2b2d3e3825


I have 1 server in my Zimbra infrastructure and 1 mailbox server.

These logs may be useful.


/var/log/http/mail.mydomain.com.log

	192.168.xxx.xxx - - [10/Aug/2014:16:59:08 -0700] "OPTIONS /Microsoft-Server-ActiveSync HTTP/1.1" 500 - "-" "RIM-Q10-SQN100-3/10.2.1.3247"
	192.168.xxx.xxx - - [10/Aug/2014:16:59:08 -0700] "OPTIONS /Microsoft-Server-ActiveSync HTTP/1.1" 500 - "-" "RIM-Q10-SQN100-3/10.2.1.3247"

	192.168.xxx.xxx - - [10/Aug/2014:17:19:11 -0700] "OPTIONS /Microsoft-Server-ActiveSync HTTP/1.1" 500 - "-" "Apple-iPad2C1/1104.257"
	192.168.xxx.xxx - - [10/Aug/2014:17:19:11 -0700] "OPTIONS /Microsoft-Server-ActiveSync HTTP/1.1" 500 - "-" "Apple-iPad2C1/1104.257"



/opt/zimbra/log/sync.log

	2014-08-10 17:29:13,018 INFO  [qtp1610155881-390:http://192.168.xxx.xxx:65521/Microsoft-Server-ActiveSync] [tid=390;] sync - [192.168.xxx.xxx] ZxMobile device RIM-Q10-SQN100-3/10.2.1.3247 asking for server configuration
	2014-08-10 17:29:13,019 INFO  [qtp1610155881-390:http://192.168.xxx.xxx:65521/Microsoft-Server-ActiveSync] [tid=390;] sync - [192.168.xxx.xxx] ZxMobile device RIM-Q10-SQN100-3/10.2.1.3247 an exception occurred while providing the server configuration
	2014-08-10 17:29:26,090 INFO  [qtp1610155881-398:http://192.168.xxx.xxx:65521/Microsoft-Server-ActiveSync] [tid=398;] sync - [192.168.xxx.xxx] ZxMobile device RIM-Q10-SQN100-3/10.2.1.3247 asking for server configuration
	2014-08-10 17:29:26,092 INFO  [qtp1610155881-398:http://192.168.xxx.xxx:65521/Microsoft-Server-ActiveSync] [tid=398;] sync - [192.168.xxx.xxx] ZxMobile device RIM-Q10-SQN100-3/10.2.1.3247 an exception occurred while providing the server configuration
	2014-08-10 17:29:26,399 INFO  [qtp1610155881-398:http://192.168.xxx.xxx:65521/Microsoft-Server-ActiveSync] [tid=398;] sync - [192.168.xxx.xxx] ZxMobile device RIM-Q10-SQN100-3/10.2.1.3247 asking for server configuration
	2014-08-10 17:29:26,400 INFO  [qtp1610155881-398:http://192.168.xxx.xxx:65521/Microsoft-Server-ActiveSync] [tid=398;] sync - [192.168.xxx.xxx] ZxMobile device RIM-Q10-SQN100-3/10.2.1.3247 an exception occurred while providing the server configuration
	2014-08-10 17:33:22,442 INFO  [qtp1610155881-425:http://192.168.xxx.xxx:65521/Microsoft-Server-ActiveSync] [tid=425;] sync - [192.168.xxx.xxx] ZxMobile device Apple-iPad2C1/1104.257 asking for server configuration
	2014-08-10 17:33:22,444 INFO  [qtp1610155881-425:http://192.168.xxx.xxx:65521/Microsoft-Server-ActiveSync] [tid=425;] sync - [192.168.xxx.xxx] ZxMobile device Apple-iPad2C1/1104.257 an exception occurred while providing the server configuration
	2014-08-10 17:33:22,458 INFO  [qtp1610155881-425:http://192.168.xxx.xxx:65521/Microsoft-Server-ActiveSync] [tid=425;] sync - [192.168.xxx.xxx] ZxMobile device Apple-iPad2C1/1104.257 asking for server configuration
	2014-08-10 17:33:22,459 INFO  [qtp1610155881-425:http://192.168.xxx.xxx:65521/Microsoft-Server-ActiveSync] [tid=425;] sync - [192.168.xxx.xxx] ZxMobile device Apple-iPad2C1/1104.257 an exception occurred while providing the server configuration
Comment 1 Eric Schewe 2014-08-11 00:55:02 CEST
In case it's helpful. Here is my mod_proxy configuration.

I have bypassed mod_proxy as well with no luck.


<VirtualHost *:443>
        ServerName mail.mydomain.com
        DocumentRoot /data/wwwPublic/siteMain
        CustomLog logs/mail.mydomain.com.log combined
        ErrorLog logs/mail.mydomain.com-error.log

        ProxyRequests On
        ProxyPreserveHost On
        SetEnv force-proxy-request-1.0 1
        SetEnv proxy-nokeepalive 1
        ProxyPass / http://mail.mydomain.com:65521/
        ProxyPassReverse / http://mail.mydomain.com:65521/

        SSLEngine on
        SSLProtocol all -SSLv2
        SSLCipherSuite ECDHE-RSA-AES128-SHA256:AES128-GCM-SHA256:RC4:HIGH:!MD5:!aNULL:!EDH
        SSLCertificateFile /etc/httpd/conf/certs/mydomain.com.crt
        SSLCertificateKeyFile /etc/httpd/conf/certs/mydomain.com.key
        SSLCertificateChainFile /etc/httpd/conf/certs/sub.class2.server.sha2.ca.pem
        SSLCACertificateFile /etc/httpd/conf/certs/ca-sha2.pem
</VirtualHost>
Comment 2 Eric Schewe 2014-08-11 16:15:31 CEST
Debug log


2014-08-11 09:07:51,381 [ZxLink Handler Thread] info Logging account@mydomain.com
2014-08-11 09:09:20,554 [qtp1610155881-7072:http://127.0.0.1:65521/Microsoft-Server-ActiveSync] info [127.0.0.1] ZxMobile device RIM-Q10-SQN100-3/10.2.1.3247 asking for server configuration
2014-08-11 09:09:20,558 [qtp1610155881-7072:http://127.0.0.1:65521/Microsoft-Server-ActiveSync] info [127.0.0.1] ZxMobile device RIM-Q10-SQN100-3/10.2.1.3247 an exception occurred while providing the server configuration
2014-08-11 09:09:20,558 [qtp1610155881-7072:http://127.0.0.1:65521/Microsoft-Server-ActiveSync] debug Unknown Exception:java.lang.IllegalArgumentException: Invalid type id 'com.zextras.mobile.easfilter.FilterRuleAccount' (for id type 'Id.class'): no such class found
        at com.fasterxml.jackson.databind.jsontype.impl.ClassNameIdResolver.typeFromId ( null:-1 )
        at com.fasterxml.jackson.databind.jsontype.impl.TypeDeserializerBase._findDeserializer ( null:-1 )
        at com.fasterxml.jackson.databind.jsontype.impl.AsPropertyTypeDeserializer._deserializeTypedForId ( null:-1 )
        at com.fasterxml.jackson.databind.jsontype.impl.AsPropertyTypeDeserializer.deserializeTypedFromObject ( null:-1 )
        at com.fasterxml.jackson.databind.deser.AbstractDeserializer.deserializeWithType ( null:-1 )
        at com.fasterxml.jackson.databind.deser.impl.TypeWrappedDeserializer.deserialize ( null:-1 )
        at com.fasterxml.jackson.databind.ObjectMapper._readMapAndClose ( null:-1 )
        at com.fasterxml.jackson.databind.ObjectMapper.readValue ( null:-1 )
        at com.zextras.mobile.easfilter.rules.FilterRuleDeserializer.fromJSONString ( FilterRuleDeserializer.java:24 )
        at com.zextras.mobile.easfilter.Filter.fromJSON ( Filter.java:125 )
        at com.zextras.mobile.easfilter.stores.ConfigFilterStore.loadFilters ( ConfigFilterStore.java:37 )
        at com.zextras.mobile.easfilter.stores.PersistentFilterStore.getAllFilters ( PersistentFilterStore.java:19 )
        at com.zextras.mobile.easfilter.stores.MixedStaticFilterStore.getAllFilters ( MixedStaticFilterStore.java:27 )
        at com.zextras.mobile.easfilter.FilterManager.getMatchingEASVersions ( FilterManager.java:90 )
        at com.zextras.mobile.EASProtocolInfo.getEffectiveEnabledVersions ( EASProtocolInfo.java:54 )
        at com.zextras.mobile.EASProtocolInfo.getAvailableVersions ( EASProtocolInfo.java:64 )
        at com.zextras.mobile.ZEMobileHandler.manageOptions ( ZEMobileHandler.java:300 )
        at com.zextras.mobile.ZEActiveSyncBackend.handleActiveSyncRequest ( ZEActiveSyncBackend.java:77 )
        at com.zextras.mobile.ZEActiveSyncBackend.doOptions ( ZEActiveSyncBackend.java:68 )
        at com.zimbra.cs.extension.ExtensionDispatcherServlet.service ( ExtensionDispatcherServlet.java:95 )
        at javax.servlet.http.HttpServlet.service ( HttpServlet.java:820 )
        at org.eclipse.jetty.servlet.ServletHolder.handle ( ServletHolder.java:654 )
        at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter ( ServletHandler.java:1320 )
        at com.zimbra.cs.servlet.RequestStringFilter.doFilter ( RequestStringFilter.java:52 )
        at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter ( ServletHandler.java:1291 )
        at com.zimbra.cs.servlet.SetHeaderFilter.doFilter ( SetHeaderFilter.java:57 )
        at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter ( ServletHandler.java:1291 )
        at org.eclipse.jetty.servlets.UserAgentFilter.doFilter ( UserAgentFilter.java:82 )
        at org.eclipse.jetty.servlets.GzipFilter.doFilter ( GzipFilter.java:256 )
        at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter ( ServletHandler.java:1291 )
        at com.zimbra.cs.servlet.ETagHeaderFilter.doFilter ( ETagHeaderFilter.java:45 )
        at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter ( ServletHandler.java:1291 )
        at com.zimbra.cs.servlet.ZimbraQoSFilter.doFilter ( ZimbraQoSFilter.java:114 )
        at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter ( ServletHandler.java:1291 )
        at org.eclipse.jetty.servlets.DoSFilter.doFilterChain ( DoSFilter.java:474 )
        at org.eclipse.jetty.servlets.DoSFilter.doFilter ( DoSFilter.java:345 )
        at org.eclipse.jetty.servlets.DoSFilter.doFilter ( DoSFilter.java:316 )
        at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter ( ServletHandler.java:1291 )
        at org.eclipse.jetty.servlet.ServletHandler.doHandle ( ServletHandler.java:443 )
        at org.eclipse.jetty.server.handler.ScopedHandler.handle ( ScopedHandler.java:137 )
        at org.eclipse.jetty.security.SecurityHandler.handle ( SecurityHandler.java:556 )
        at org.eclipse.jetty.server.session.SessionHandler.doHandle ( SessionHandler.java:227 )
        at org.eclipse.jetty.server.handler.ContextHandler.doHandle ( ContextHandler.java:1044 )
        at org.eclipse.jetty.servlet.ServletHandler.doScope ( ServletHandler.java:372 )
        at org.eclipse.jetty.server.session.SessionHandler.doScope ( SessionHandler.java:189 )
        at org.eclipse.jetty.server.handler.ContextHandler.doScope ( ContextHandler.java:978 )
        at org.eclipse.jetty.server.handler.ScopedHandler.handle ( ScopedHandler.java:135 )
        at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle ( ContextHandlerCollection.java:255 )
        at org.eclipse.jetty.server.handler.HandlerCollection.handle ( HandlerCollection.java:154 )
        at org.eclipse.jetty.server.handler.HandlerWrapper.handle ( HandlerWrapper.java:116 )
        at org.eclipse.jetty.rewrite.handler.RewriteHandler.handle ( RewriteHandler.java:317 )
        at org.eclipse.jetty.server.handler.DebugHandler.handle ( DebugHandler.java:81 )
        at org.eclipse.jetty.server.handler.HandlerWrapper.handle ( HandlerWrapper.java:116 )
        at org.eclipse.jetty.server.Server.handle ( Server.java:369 )
        at org.eclipse.jetty.server.AbstractHttpConnection.handleRequest ( AbstractHttpConnection.java:486 )
        at org.eclipse.jetty.server.AbstractHttpConnection.headerComplete ( AbstractHttpConnection.java:933 )
        at org.eclipse.jetty.server.AbstractHttpConnection$RequestHandler.headerComplete ( AbstractHttpConnection.java:995 )
        at org.eclipse.jetty.http.HttpParser.parseNext ( HttpParser.java:644 )
        at org.eclipse.jetty.http.HttpParser.parseAvailable ( HttpParser.java:235 )
        at org.eclipse.jetty.server.AsyncHttpConnection.handle ( AsyncHttpConnection.java:82 )
        at org.eclipse.jetty.io.nio.SelectChannelEndPoint.handle ( SelectChannelEndPoint.java:668 )
        at org.eclipse.jetty.io.nio.SelectChannelEndPoint$1.run ( SelectChannelEndPoint.java:52 )
        at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob ( QueuedThreadPool.java:608 )
        at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run ( QueuedThreadPool.java:543 )
        at java.lang.Thread.run ( Thread.java:744 )

2014-08-11 09:09:21,494 [qtp1610155881-7072:http://127.0.0.1:65521/Microsoft-Server-ActiveSync] debug Cached auth found for account@mydomain.com id: e36a6ef0-108a-459c-b979-cfc7e6603b01
2014-08-11 09:09:21,495 [qtp1610155881-7072:http://127.0.0.1:65521/Microsoft-Server-ActiveSync] info [127.0.0.1] ZxMobile device RIM-Q10-SQN100-3/10.2.1.3247 asking for server configuration
2014-08-11 09:09:21,498 [qtp1610155881-7072:http://127.0.0.1:65521/Microsoft-Server-ActiveSync] info [127.0.0.1] ZxMobile device RIM-Q10-SQN100-3/10.2.1.3247 an exception occurred while providing the server configuration
2014-08-11 09:09:21,498 [qtp1610155881-7072:http://127.0.0.1:65521/Microsoft-Server-ActiveSync] debug Unknown Exception:java.lang.IllegalArgumentException: Invalid type id 'com.zextras.mobile.easfilter.FilterRuleAccount' (for id type 'Id.class'): no such class found
        at com.fasterxml.jackson.databind.jsontype.impl.ClassNameIdResolver.typeFromId ( null:-1 )
        at com.fasterxml.jackson.databind.jsontype.impl.TypeDeserializerBase._findDeserializer ( null:-1 )
        at com.fasterxml.jackson.databind.jsontype.impl.AsPropertyTypeDeserializer._deserializeTypedForId ( null:-1 )
        at com.fasterxml.jackson.databind.jsontype.impl.AsPropertyTypeDeserializer.deserializeTypedFromObject ( null:-1 )
        at com.fasterxml.jackson.databind.deser.AbstractDeserializer.deserializeWithType ( null:-1 )
        at com.fasterxml.jackson.databind.deser.impl.TypeWrappedDeserializer.deserialize ( null:-1 )
        at com.fasterxml.jackson.databind.ObjectMapper._readMapAndClose ( null:-1 )
        at com.fasterxml.jackson.databind.ObjectMapper.readValue ( null:-1 )
        at com.zextras.mobile.easfilter.rules.FilterRuleDeserializer.fromJSONString ( FilterRuleDeserializer.java:24 )
        at com.zextras.mobile.easfilter.Filter.fromJSON ( Filter.java:125 )
        at com.zextras.mobile.easfilter.stores.ConfigFilterStore.loadFilters ( ConfigFilterStore.java:37 )
        at com.zextras.mobile.easfilter.stores.PersistentFilterStore.getAllFilters ( PersistentFilterStore.java:19 )
        at com.zextras.mobile.easfilter.stores.MixedStaticFilterStore.getAllFilters ( MixedStaticFilterStore.java:27 )
        at com.zextras.mobile.easfilter.FilterManager.getMatchingEASVersions ( FilterManager.java:90 )
        at com.zextras.mobile.EASProtocolInfo.getEffectiveEnabledVersions ( EASProtocolInfo.java:54 )
        at com.zextras.mobile.EASProtocolInfo.getAvailableVersions ( EASProtocolInfo.java:64 )
        at com.zextras.mobile.ZEMobileHandler.manageOptions ( ZEMobileHandler.java:300 )
        at com.zextras.mobile.ZEActiveSyncBackend.handleActiveSyncRequest ( ZEActiveSyncBackend.java:77 )
        at com.zextras.mobile.ZEActiveSyncBackend.doOptions ( ZEActiveSyncBackend.java:68 )
        at com.zimbra.cs.extension.ExtensionDispatcherServlet.service ( ExtensionDispatcherServlet.java:95 )
        at javax.servlet.http.HttpServlet.service ( HttpServlet.java:820 )
        at org.eclipse.jetty.servlet.ServletHolder.handle ( ServletHolder.java:654 )
        at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter ( ServletHandler.java:1320 )
        at com.zimbra.cs.servlet.RequestStringFilter.doFilter ( RequestStringFilter.java:52 )
        at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter ( ServletHandler.java:1291 )
        at com.zimbra.cs.servlet.SetHeaderFilter.doFilter ( SetHeaderFilter.java:57 )
        at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter ( ServletHandler.java:1291 )
        at org.eclipse.jetty.servlets.UserAgentFilter.doFilter ( UserAgentFilter.java:82 )
        at org.eclipse.jetty.servlets.GzipFilter.doFilter ( GzipFilter.java:256 )
        at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter ( ServletHandler.java:1291 )
        at com.zimbra.cs.servlet.ETagHeaderFilter.doFilter ( ETagHeaderFilter.java:45 )
        at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter ( ServletHandler.java:1291 )
        at com.zimbra.cs.servlet.ZimbraQoSFilter.doFilter ( ZimbraQoSFilter.java:114 )
        at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter ( ServletHandler.java:1291 )
        at org.eclipse.jetty.servlets.DoSFilter.doFilterChain ( DoSFilter.java:474 )
        at org.eclipse.jetty.servlets.DoSFilter.doFilter ( DoSFilter.java:345 )
        at org.eclipse.jetty.servlets.DoSFilter.doFilter ( DoSFilter.java:316 )
        at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter ( ServletHandler.java:1291 )
        at org.eclipse.jetty.servlet.ServletHandler.doHandle ( ServletHandler.java:443 )
        at org.eclipse.jetty.server.handler.ScopedHandler.handle ( ScopedHandler.java:137 )
        at org.eclipse.jetty.security.SecurityHandler.handle ( SecurityHandler.java:556 )
        at org.eclipse.jetty.server.session.SessionHandler.doHandle ( SessionHandler.java:227 )
        at org.eclipse.jetty.server.handler.ContextHandler.doHandle ( ContextHandler.java:1044 )
        at org.eclipse.jetty.servlet.ServletHandler.doScope ( ServletHandler.java:372 )
        at org.eclipse.jetty.server.session.SessionHandler.doScope ( SessionHandler.java:189 )
        at org.eclipse.jetty.server.handler.ContextHandler.doScope ( ContextHandler.java:978 )
        at org.eclipse.jetty.server.handler.ScopedHandler.handle ( ScopedHandler.java:135 )
        at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle ( ContextHandlerCollection.java:255 )
        at org.eclipse.jetty.server.handler.HandlerCollection.handle ( HandlerCollection.java:154 )
        at org.eclipse.jetty.server.handler.HandlerWrapper.handle ( HandlerWrapper.java:116 )
        at org.eclipse.jetty.rewrite.handler.RewriteHandler.handle ( RewriteHandler.java:317 )
        at org.eclipse.jetty.server.handler.DebugHandler.handle ( DebugHandler.java:81 )
        at org.eclipse.jetty.server.handler.HandlerWrapper.handle ( HandlerWrapper.java:116 )
        at org.eclipse.jetty.server.Server.handle ( Server.java:369 )
        at org.eclipse.jetty.server.AbstractHttpConnection.handleRequest ( AbstractHttpConnection.java:486 )
        at org.eclipse.jetty.server.AbstractHttpConnection.headerComplete ( AbstractHttpConnection.java:933 )
        at org.eclipse.jetty.server.AbstractHttpConnection$RequestHandler.headerComplete ( AbstractHttpConnection.java:995 )
        at org.eclipse.jetty.http.HttpParser.parseNext ( HttpParser.java:644 )
        at org.eclipse.jetty.http.HttpParser.parseAvailable ( HttpParser.java:235 )
        at org.eclipse.jetty.server.AsyncHttpConnection.handle ( AsyncHttpConnection.java:82 )
        at org.eclipse.jetty.io.nio.SelectChannelEndPoint.handle ( SelectChannelEndPoint.java:668 )
        at org.eclipse.jetty.io.nio.SelectChannelEndPoint$1.run ( SelectChannelEndPoint.java:52 )
        at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob ( QueuedThreadPool.java:608 )
        at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run ( QueuedThreadPool.java:543 )
        at java.lang.Thread.run ( Thread.java:744 )
Comment 3 D0s0n 2014-08-12 12:32:21 CEST
We confirmed this issue by adding an EASFilter in zextras suite version 1.8.10 and updating to 1.8.17 afterwards. The filter created in 1.8.10 breaks the EAS filter system.

As workaround, we can suggest to remove the zextras config file while mailboxd isn't running, but you will loose all zextras preferences (e.g backup path, backup retention days ..etc..).

D0s0n
Comment 4 D0s0n 2014-08-12 17:06:46 CEST
Workaround Steps:

1. Dump the current config
Code:
zxsuite core getproperty
zxsuite backup getproperty
zxsuite chat getproperty
zxsuite mobile getproperty
zxsuite powerstore getproperty
zxsuite admin getproperty

2. Stop mailboxd service
Code:
zmmailboxdctl stop

3. Delete/rename the Zextras config file
Code:
mv /opt/zimbra/conf/zextras/config /opt/zimbra/conf/zextras/config.old

4. Start mailboxd service
Code:
zmmailboxdctl start

5. If necessary restore some zextras property via setProperty command or via GUI (reading the output of previous getProperty commands).
Comment 5 Eric Schewe 2014-08-12 18:39:32 CEST
The above steps resolved the problem for me. Thanks!
Comment 6 ZeXtras Bugzilla Admin 2014-11-05 14:59:16 CET
Fixed since ZeXtras Suite 1.8.18